package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 进销存订单、入库单状态
 * @Author: sui q
 * @Time: 2022/8/31 9:14
 * @Classname: EOrderStatus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EScmOrderStatus {

    /**
     * 1=已保存
     */
    SAVE(1, "已保存", 0, EnumsPrefixConstants.SCM_ORDER_STATUS + "1"),

    /**
     * 2=已提交
     */
    SUBMIT(2, "已提交", 0, EnumsPrefixConstants.SCM_ORDER_STATUS + "2"),

    /**
     * 3=已审核
     */
    APPROVE(3, "已审核", 0, EnumsPrefixConstants.SCM_ORDER_STATUS + "3"),

    /**
     * 4=已收货  所有入库完成后代表已收货  出库完成代表已发货
     */
    DELIVERY(4, "已完成", 0, EnumsPrefixConstants.SCM_ORDER_STATUS + "4"),

    /**
     * 5=已关闭 收货完成后7天变为已关闭，已关闭后不能退货
     */
    CLOSE(5, "已关闭", 0, EnumsPrefixConstants.SCM_ORDER_STATUS + "5"),

    /**
     * 6=已退货
     */
    PART_BACK(6, "部分退货", 0, EnumsPrefixConstants.SCM_ORDER_STATUS + "6"),

    /**
     * 6=已退货
     */
    BACK(7, "已退货", 0, EnumsPrefixConstants.SCM_ORDER_STATUS + "7"),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

}
